#
# spec file for package wlr-randr
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           wlr-randr
Version:        0.4.1
Release:        1.3
Summary:        Utility to manage outputs of a Wayland compositor
License:        MIT
Group:          Productivity/Graphics/Other
URL:            https://git.sr.ht/~emersion/wlr-randr
Source:         https://git.sr.ht/~emersion/wlr-randr/refs/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://git.sr.ht/~emersion/wlr-randr/refs/download/v%{version}/%{name}-%{version}.tar.gz.sig
# https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19
Source2:        %{name}.keyring
BuildRequires:  meson >= 0.47.0
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(wayland-client)

%description
wlr-randr is a command line utility to manage outputs of a Wayland compositor.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Apr 23 2024 Joshua Smith <smolsheep@opensuse.org>
- wlr-randr v0.4.1
  * Don't send unset props
  * Fix zwlr_output_configuration_head_v1 leak
  * Turn adaptive sync version check into assert in
    apply_state()
- wlr-randr v0.4.0
  * build: find wayland-scanner via pkg-config
  * build: require wayland-scanner >= 1.14.91
  * build: drop unnecessary intermediate protocols library
  * Add --json option
* Wed Jan 17 2024 Denys Kondratenko <stdden@opensuse.org>
- wlr-randr v0.3.1
  * Destroy head and mode objects before disconnect
  * Stop assuming serial is non-zero
  * Check for wl_display_roundtrip error
  * build: bump to v0.3.1
* Mon Jul 17 2023 Denys Kondratenko <stdden@opensuse.org>
- wlr-randr v0.3.0
  * add an option to toggle output
  * Support wlr-output-management version 2
  * Support output-management version 3 release requests
  * Support output-management version 4 adaptive sync
  * Fix typo in --adaptive-sync CLI
  * readme: add links to new issue tracker, IRC channel and mailing list
  * Retain head/mode ordering
* Fri Feb  5 2021 Denys Kondratenko <stdden@opensuse.org>
- Bump version to 0.2.0
  * Add --preferred
  * Fix mode refresh rounding issue
* Sun Aug  2 2020 Denis Kondratenko <denis.kondratenko@suse.com>
- Initial wlr-randr package version 0.1.0
